Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Plugin Development Environment (PDE) » PDE Build fails because of an allegedly missing requirement
PDE Build fails because of an allegedly missing requirement [message #1678789] Mon, 16 March 2015 10:38 Go to next message
Thomas Elskens is currently offline Thomas ElskensFriend
Messages: 159
Registered: September 2014
Location: Brussels - Belgium
Senior Member
Hello,

When exporting an Eclipse 4 RCP product (inside the IDE) PDE Build complains about the bundle emf.edit being missed.

Quote:

Cannot complete the install because one or more required items could not be found.
Software being installed: Presta Desktop Portfolio 1.0.0 (be.groups.portfolio.app.product 1.0.0)
Missing requirement: Portfolio Domain Edit 0.0.1.201503161131 (be.groups.portfolio.domain.edit 0.0.1.201503161131) requires 'bundle org.eclipse.emf.edit 0.0.0' but it could not be found
Cannot satisfy dependency:
Cannot satisfy dependency:


This bundle, however, is part of the target platform and specified in the manifest, so I do not see the problem...

The problem is the same whenever I use the default highest-available-bundle-version (0.0.0) or use a specific version number (2.11.0).

Any ideas on how to solve this... ?

Thomas Elskens
Re: PDE Build fails because of an allegedly missing requirement [message #1688421 is a reply to message #1678789] Fri, 20 March 2015 17:20 Go to previous message
Kaj Kandler is currently offline Kaj KandlerFriend
Messages: 36
Registered: July 2009
Member
Hi Thomas,
we seem to deal with similar issues here. Let me ask some questions.

Do you have the URL for the emf component setup in your dev Eclipse instance as a update site (Help --> Install New Software --> Available Software Sites) ?

Do you have the component installed in your Dev Eclipse?

Do you have the component listed in your feature.xml as a <plugin>...</plugin>?

Removing the later allowed me to export it w/o such an error.


Previous Topic:How to Include nebula component in an Eclipse plugin (Luna)
Next Topic:SearchablePluginsManager has race conditions / timing dependencies
Goto Forum:
  


Current Time: Mon Aug 20 05:03:56 GMT 2018

Powered by FUDForum. Page generated in 0.01727 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top